package cn.reghao.oss.store.db.mapper;

import cn.reghao.oss.store.model.po.VideoFile;
import cn.reghao.jutil.jdk.db.BaseMapper;
import cn.reghao.oss.api.dto.media.VideoInfo;
import cn.reghao.oss.api.dto.media.VideoUrlDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author reghao
 * @date 2023-10-13 15:59:11
 */
@Mapper
public interface VideoFileMapper extends BaseMapper<VideoFile> {
    void deleteByVideoFileId(String videoFileId);

    List<VideoUrlDto> findVideoUrls(String videoFileId);
    List<VideoFile> findByVideoFileId(String videoFileId);
    List<VideoInfo> findVideoInfo(String videoFileId);
}
